### Method

# Camel BlockFile rename

#### Declaration [src]

    gint
    camel_block_file_rename (
      CamelBlockFile* bs,
      const gchar* path
    )

#### Description [src]

Renames existing block file to a new `path`.

#### Parameters

`path`

  Type: `const gchar*`

  Path with filename to rename to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

0 on success, -1 on error; errno is set on failure.